TLSSecurityInfo (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.io
Interface TLSSecurityInfo

All Superinterfaces:
  SecurityInfo

    @TransactionType(value=NOT_SUPPORTED)
    public interface TLSSecurityInfo

extends SecurityInfo

This interface defines methods to access information about a TLS secure network connection.

This interface extends the `SecurityInfo` interface to provide additional security parameters of a TLS connection. It provides the client certificate (in addition to the server certificate provided by the base interface) when PKI is used or the PSK identity provided by the peer when PSK is used.

The `SecureConnection.getSecurityInfo()` and `HttpsConnection.getSecurityInfo()` methods return an object that implements this interface when TLS is used as the underlying protcol.

Since:
  Java Card 3.0
See Also:
  `Certificate`, `SecureConnection`, `HttpsConnection`, `ServerSocketConnection`, `CredentialManager`, `ConnectorPermission`

Method Summary
`Certificate` | `getClientCertificate()` Returns the `Certificate` used to establish the secure connection with the client.
`String` | `getPSKIdentity()` Returns the PSK Identity provided by the peer to establish the secure connection with that peer.

Methods inherited from interface javax.microedition.io.SecurityInfo
`getCipherSuite, getProtocolName, getProtocolVersion, getServerCertificate`

Method Detail

### getClientCertificate

    Certificate getClientCertificate()

  Returns the `Certificate` used to establish the secure connection with the client.

  This method only returns a `Certificate` object if PKI was used and if client authentication was required for establishing the secure connection.

  Returns:
    the `Certificate` used to establish the secure connection with the client; or null, if PKI was not used or if client authentication was not required.

### getPSKIdentity

    String getPSKIdentity()

  Returns the PSK Identity provided by the peer to establish the secure connection with that peer.

  This method only returns a PSK Identity string object if PSK was used for establishing the secure connection and a PSK identity was provided.

  Returns:
    the PSK Identity provided by the peer to establish the secure connection with that peer; or null, if PSK was not used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.